Bug 724656 - (BRMS-559) BRMS Drools javadocs - multiple subdirectories - no top-level index.html file
BRMS Drools javadocs - multiple subdirectories - no top-level index.html file
Status: CLOSED WORKSFORME
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: Documentation (Show other bugs)
5.1.0 GA
Unspecified Unspecified
high Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: Ryan Zhang
Lukáš Petrovický
http://jira.jboss.org/jira/browse/BRM...
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-01 11:55 EST by Len DiMaggio
Modified: 2013-03-05 23:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-05 23:19:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker BRMS-559 Major Closed BRMS Drools javadocs - multiple subdirectories - no top-level index.html file 2013-03-05 23:16:34 EST

  None (edit)
Description Len DiMaggio 2011-03-01 11:55:57 EST
securitylevel_name: Public

The Drools javadocs in BRMS 5.1 include these directories:

ls 
drools-ant    drools-compiler        drools-grid-task    drools-jsr94             drools-repository  drools-workitems
drools-api    drools-core            drools-guvnor       drools-persistence-jpa   drools-server      guvnor-importer
drools-bam    drools-decisiontables  drools-gwt-console  drools-pipeline          drools-simulator   jcr-api
drools-bpmn2  drools-doc             drools-gwt-form     drools-planner-core      drools-spring      jcr-jr-impl
drools-camel  drools-factconstraint  drools-gwt-graph    drools-planner-examples  drools-templates   jcr-ms-impl
drools-clips  drools-grid-core       drools-ide-common   drools-process-task      drools-verifier    sample-model

Each directory includes an index.html file - but there is no overall index.html file - the user must navigate the directory tree and open each index.html file individually.
Comment 1 Geoffrey D Smet 2011-03-01 14:28:35 EST
Only drools-api is considered backwards compatible API afaik.

With the maven-javadoc-plugin it should be possible to use <aggregate>true</> to get an aggregation of all javadocs.
With the split-up on 5.2, it might be interesting to implement that there first, and get one per repository (drools, guvnor, integration).
If so, create a GUVNOR issue and assign it to me.
Comment 2 Lukáš Petrovický 2011-09-19 08:30:49 EDT
We seem to not be shipping javadocs inside the distribution packages. If that is correct, please close this as NOTABUG.
Comment 3 Lukáš Petrovický 2011-11-01 06:38:13 EDT
We ended up shipping the jadavocs. Thus this one needs to be resolved for the next release.
Comment 4 Geoffrey De Smet 2012-01-16 04:23:12 EST
At the .org side this is the situation:
In Drools we're shipping the public API javadocs (knowledge-api).
In 


TIP: An overall index.html file is easy:
- Don't configure javadocs per module
- But in the assembly distribution, configure a dependency-aggretation of all the stuff you want javadocs for:
http://maven.apache.org/plugins/maven-javadoc-plugin/examples/aggregate-dependency-sources.html
Notice that this even works over-repositories.
Comment 5 Geoffrey De Smet 2012-01-17 10:28:07 EST
Here's the code how to do it:
https://github.com/droolsjbpm/jbpm/commit/ea282cd17de81127280ed298feb2ce356dfef3ec
Comment 6 Nick Cross 2012-04-05 07:51:27 EDT
724656 Aggregate the drools javadoc producing a single top level index file
src/main/assembly/brms-javadoc.zip.xml 
pom.xml
Comment 7 Ryan Zhang 2012-04-23 03:39:10 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 8 Lukáš Petrovický 2012-05-02 02:52:36 EDT
Ryan, in order to verify this, I need a location for the Javadoc files. There are none for ER6. Thanks!
Comment 9 Ryan Zhang 2012-05-21 05:19:41 EDT
(In reply to comment #8)
> Ryan, in order to verify this, I need a location for the Javadoc files.
> There are none for ER6. Thanks!
Yes, sorry, my mistake.
The ER7's javadoc has been add up to : http://jawa05.englab.brq.redhat.com/candidate/BRMS-5.3.0-ER7/brms-p-5.3.0.BRMS-ER7-javadocs.zip
Please verify.
Comment 10 Lukáš Petrovický 2012-05-21 06:35:30 EDT
This bug is still valid. There are multiple top-level directories and no index.
Also, there's just drools and modeshape - no jBPM?

This is not (and IMHO shouldn't be) a blocker for 5.3.
Comment 11 Lukáš Petrovický 2012-05-21 08:43:15 EDT
Sorry, my bad. This ticket is way too obsolete - the requested funcitonality is there, but the package has morphed into something different in the meantime. I'll open another BZ for the new issue.

Note You need to log in before you can comment on or make changes to this bug.